Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Interface Portlet

All Known Implementing Classes:
  PortletJspBean, PortalPersonalizationJspBean, GroupPersonalizationJspBean, UserPersonalizationJspBean, DefaultPortlet

public interface Portlet
extends Portal

This is the public interface class for the Portlet entity.

Method Summary
`java.lang.String` | `getAlternateFooterURL()` Gets the alternate footer URL for this portlet.
`java.lang.String` | `getAlternateHeaderURL()` Gets the alternate header URL for this portlet.
`java.lang.String` | `getBannerURL()` Gets the banner URL for this portlet.
`java.lang.String` | `getCategoryName()` Gets the portal category.
`int` | `getColumn()` Gets the column position of this portlet in a portal.
`java.lang.String` | `getEditURL()` Gets the edit URL for this portlet.
`java.lang.String` | `getHelpURL()` Gets the help URL for this portlet.
`java.lang.String` | `getIconURL()` Gets the icon URL for this portlet.
`java.lang.String` | `getMaximizedURL()` Gets the maximize URL for this portlet.
`int` | `getRow()` Gets the row position of this portlet in a column.
`boolean` | `hasHelp()` Gets the has help attribute.
`boolean` | `isAvailable()` Gets the available state of this portlet.
`boolean` | `isEditable()` Gets the editable state of this portlet.
`boolean` | `isFloatable()` Gets the isFloatable attribute of this portlet.
`boolean` | `isLoginRequired()` Gets the login required state of this portlet.
`boolean` | `isMandatory()` Gets the mandatory state of this portlet.
`boolean` | `isMaximizeable()` Gets the is Maximizeable attribute of this portlet.
`boolean` | `isMinimizeable()` Gets the isMinimizeable attribute of this portlet.
`boolean` | `isMinimized()` Gets the current minimized state of this portlet for a user.
`boolean` | `isMoveable()` Gets the moveable state of this portlet.
`boolean` | `isVisible()` Gets the isVisible attribute of this portlet.
`void` | `setAlternateFooterURL(java.lang.String aURL)` Sets the alternate footer URL.
`void` | `setAlternateHeaderURL(java.lang.String aURL)` Sets the alternate header URL.
`void` | `setAvailable(boolean aBool)` Sets the available state of this portlet.
`void` | `setBannerURL(java.lang.String aURL)` Sets the banner URL.
`void` | `setCategoryName(java.lang.String aCategoryName)` Sets the portal category for this bean.
`void` | `setColumn(int aPos)` Sets the column position of this portlet in a portal.
`void` | `setEditable(boolean aBool)` Sets the editable state of this portlet.
`void` | `setEditURL(java.lang.String aURL)` Sets the edit URL.
`void` | `setFloatable(boolean aBool)` Sets the isFloatable attribute of this portlet.
`void` | `setHelp(boolean aBool)` Sets whether or not this bean has help enabled.
`void` | `setHelpURL(java.lang.String aURL)` Sets the help URL.
`void` | `setIconURL(java.lang.String aURL)` Sets the icon URL.
`void` | `setLoginRequired(boolean aBool)` Sets the login required state of this portlet.
`void` | `setMandatory(boolean aBool)` Sets the mandatory state of this portlet.
`void` | `setMaximizeable(boolean aBool)` Sets the current minimized state of this portlet for a user.
`void` | `setMaximizedURL(java.lang.String aURL)` Sets the maximize URL.
`void` | `setMinimizeable(boolean aBool)` Sets the isMinimizeable attribute of this portlet.
`void` | `setMinimized(boolean aBool)` Sets the current minimized state of this portlet for a user.
`void` | `setMoveable(boolean aBool)` Sets the moveable state of this portlet.
`void` | `setRow(int aPos)` Sets the row position of this portlet in a column.
`void` | `setVisible(boolean aBool)` Sets the isVisible attribute of this portlet.

Methods inherited from interface com.beasys.portal.Portal
`getContentColumnCount, getContentURL, getFooterURL, getHeaderURL, getName, getSuspendedURL, isSuspended, setContentColumnCount, setContentURL, setFooterURL, setHeaderURL, setName, setSuspended, setSuspendedURL`

Method Detail

### setCategoryName

    public void setCategoryName(java.lang.String aCategoryName)

  Sets the portal category for this bean. This is not support yet and is reserved for future use.
  Parameters:
    `aCategoryName` - Reserved for future use.

### getCategoryName

    public java.lang.String getCategoryName()

  Gets the portal category. This method is not supported yet and is reserved for future use.
  Returns:
    String - Reserved for future use.

### isAvailable

    public boolean isAvailable()

  Gets the available state of this portlet.
  Returns:
    boolean - true if available, false if not.

### setAvailable

    public void setAvailable(boolean aBool)

  Sets the available state of this portlet.
  Parameters:
    `boolean` - - true if available, false if not.

### isMandatory

    public boolean isMandatory()

  Gets the mandatory state of this portlet. This attribute is not supported and is reserved for future use.
  Returns:
    boolean Reserved for future use.

### setMandatory

    public void setMandatory(boolean aBool)

  Sets the mandatory state of this portlet. This attribute is not supported and is reserved for future use.
  Parameters:
    `aBool` - Reserved for future use.

### isMoveable

    public boolean isMoveable()

  Gets the moveable state of this portlet. This attribute is not supported and is reserved for future use.
  Returns:
    boolean Reserved for future use.

### setMoveable

    public void setMoveable(boolean aBool)

  Sets the moveable state of this portlet. This attribute is not supported and is reserved for future use.
  Parameters:
    `aBool` - Reserved for future use.

### isMinimizeable

    public boolean isMinimizeable()

  Gets the isMinimizeable attribute of this portlet. When true, the portal framework allows the user to minimize the portlet.
  Returns:
    boolean - true if the portlet can be minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### setMinimizeable

    public void setMinimizeable(boolean aBool)

  Sets the isMinimizeable attribute of this portlet. When true, the portal framework allows the user to minimize the portlet.
  Parameters:
    `aBool` - true if the portlet can be minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### isMaximizeable

    public boolean isMaximizeable()

  Gets the is Maximizeable attribute of this portlet. When true, the portal framework allows the user to maximize the portlet. When set to true, the portlet's titlebar will display a maximize icon if the portlet is not in a maximized state.
  Returns:
    boolean - true if this portlet is maximizeable, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### setMaximizeable

    public void setMaximizeable(boolean aBool)

  Sets the current minimized state of this portlet for a user. When set to true, the portlet's current state is minimized for the user. Note, the minimized icon in the portlet titlebar will only be displayed when the user is signed in since this is a personalized attribute which requires the portal framework to know who the user is. The minimized icon will not be displayed for anonymous users.
  Parameters:
    `aBool` - - true if this portlet is minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### isFloatable

    public boolean isFloatable()

  Gets the isFloatable attribute of this portlet. When true, the portal framework allows the user to float (detach) the portlet in a new browser window. When set to true, the portlet's titlebar will display a detach icon if the portlet is not already in a detached state.
  Returns:
    boolean - true if this portlet is floatable (detachable), false if not.

### setFloatable

    public void setFloatable(boolean aBool)

  Sets the isFloatable attribute of this portlet. When true, the portal framework allows the user to float (detach) the portlet in a new browser window. When set to true, the portlet's titlebar will display a detach icon if the portlet is not already in a detached state.
  Parameters:
    `aBool` - true if this portlet is floatable (detachable), false if not.

### isVisible

    public boolean isVisible()

  Gets the isVisible attribute of this portlet. When true, the portal framework makes this portlet visible. When false, the portlet is not visible.
  Returns:
    boolean - true if this portlet is visible, false if not.

### setVisible

    public void setVisible(boolean aBool)

  Sets the isVisible attribute of this portlet. When true, the portal framework makes this portlet visible. When false, the portlet is not visible.
  Parameters:
    `aBool` - true if this portlet is visible, false if not.

### setMinimized

    public void setMinimized(boolean aBool)

  Sets the current minimized state of this portlet for a user. When set to true, the portlet's current state is minimized for the user. Note, the minimized icon in the portlet titlebar will only be displayed when the user is signed in since this is a personalized attribute which requires the portal framework to know who the user is. The minimized icon will not be displayed for anonymous users.
  Parameters:
    `aBool` - true if this portlet is minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### isMinimized

    public boolean isMinimized()

  Gets the current minimized state of this portlet for a user. When set to true, the portlet's current state is minimized for the user. Note, the minimized icon in the portlet titlebar will only be displayed when the user is signed in since this is a personalized attribute which requires the portal framework to know who the user is. The minimized icon will not be displayed for anonymous users.
  Returns:
    boolean - true if this portlet is minimized, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### getBannerURL

    public java.lang.String getBannerURL()

  Gets the banner URL for this portlet.
  Returns:
    String - The benner URL for this portlet.

### setBannerURL

    public void setBannerURL(java.lang.String aURL)

  Sets the banner URL.
  Parameters:
    `aURL` - The banner URL.

### getAlternateHeaderURL

    public java.lang.String getAlternateHeaderURL()

  Gets the alternate header URL for this portlet.
  Returns:
    String - The alternate header URL for this portlet.

### setAlternateHeaderURL

    public void setAlternateHeaderURL(java.lang.String aURL)

  Sets the alternate header URL.
  Parameters:
    `aURL` - The alternate header URL.

### getAlternateFooterURL

    public java.lang.String getAlternateFooterURL()

  Gets the alternate footer URL for this portlet.
  Returns:
    String - The alternate footer URL for this portlet.

### setAlternateFooterURL

    public void setAlternateFooterURL(java.lang.String aURL)

  Sets the alternate footer URL.
  Parameters:
    `aURL` - The alternate footer URL.

### getHelpURL

    public java.lang.String getHelpURL()

  Gets the help URL for this portlet.
  Returns:
    String - The help URL for this portlet.

### setHelpURL

    public void setHelpURL(java.lang.String aURL)

  Sets the help URL.
  Parameters:
    `aURL` - The help URL.

### setHelp

    public void setHelp(boolean aBool)

  Sets whether or not this bean has help enabled.
  Parameters:
    `aBool` - True if it supports help, false if not.

### hasHelp

    public boolean hasHelp()

  Gets the has help attribute.
  Returns:
    boolean - true if this portlet has help, false if not.

### getIconURL

    public java.lang.String getIconURL()

  Gets the icon URL for this portlet.
  Returns:
    String - The icon URL for this portlet.

### setIconURL

    public void setIconURL(java.lang.String aURL)

  Sets the icon URL.
  Parameters:
    `aURL` - The icon URL.

### setLoginRequired

    public void setLoginRequired(boolean aBool)

  Sets the login required state of this portlet. For security and/or content reasons, you can make your portlet require a log in to the portal. This means that only signed in users will see the porlet and anonymous users will not.
  Parameters:
    `aBool` - true if login is required to view this portlet, false if not which allows anonymous users to view the portlet.
  See Also:
    `Portal Developer's Guide for more detail.`

### isLoginRequired

    public boolean isLoginRequired()

  Gets the login required state of this portlet. For security and/or content reasons, you can make your portlet require a log in to the portal. This means that only signed in users will see the porlet and anonymous users will not.
  Returns:
    boolean - true if login is required to view this portlet, false if not which allows anonymous users to view the portlet.
  See Also:
    `Portal Developer's Guide for more detail.`

### getMaximizedURL

    public java.lang.String getMaximizedURL()

  Gets the maximize URL for this portlet.
  Returns:
    String - The maximize URL for this portlet.

### setMaximizedURL

    public void setMaximizedURL(java.lang.String aURL)

  Sets the maximize URL.
  Parameters:
    `aURL` - The maximize URL.

### getRow

    public int getRow()

  Gets the row position of this portlet in a column.
  Returns:
    int - The zero-based position.

### setRow

    public void setRow(int aPos)

  Sets the row position of this portlet in a column.
  Parameters:
    `aPos` - The zero-based position.

### getColumn

    public int getColumn()

  Gets the column position of this portlet in a portal.
  Returns:
    int - The zero-based position.

### setColumn

    public void setColumn(int aPos)

  Sets the column position of this portlet in a portal.
  Parameters:
    `aPos` - The zero-based position.

### isEditable

    public boolean isEditable()

  Gets the editable state of this portlet. If a portlet is editable, then you are required to provide an edit URL which is the web page where the user can customize your portlet. For example, a stock portlet should be editable in order for the user to add and remove stock symbols that the user wants to track. The edit URL is the web page that contains the content that allows the user to add/remove stock symbols. If editable, then the portlet's titlebar will contain an edit icon which launches the edit URL. Note, the edit icon will only be displayed when the user is signed in to the portal. The edit icon will not be displayed for anonymous users.
  Returns:
    boolean - true if this portlet is editiable, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### setEditable

    public void setEditable(boolean aBool)

  Sets the editable state of this portlet. If a portlet is editable, then you are required to provide an edit URL which is the web page where the user can customize your portlet. For example, a stock portlet should be editable in order for the user to add and remove stock symbols that the user wants to track. The edit URL is the web page that contains the content that allows the user to add/remove stock symbols. If editable, then the portlet's titlebar will contain an edit icon which launches the edit URL. Note, the edit icon will only be displayed when the user is signed in to the portal. The edit icon will not be displayed for anonymous users.
  Parameters:
    `aBool` - true if this portlet is editiable, false if not.
  See Also:
    `Portal Developer's Guide for more detail.`

### getEditURL

    public java.lang.String getEditURL()

  Gets the edit URL for this portlet.
  Returns:
    String - The edit URL for this portlet.

### setEditURL

    public void setEditURL(java.lang.String aURL)

  Sets the edit URL.
  Parameters:
    `aURL` - The edit URL.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved